ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Utils.Asm

Description

Various utilities used in generating assembler.

These are used not only by the native code generator, but also by the GHC.Driver.Pipeline

Synopsis

- sectionType :: IsLine doc => Platform -> String -> doc

# Documentation

sectionType Source #

Arguments

:: IsLine doc |
=> Platform | Target platform
-> String | section type
-> doc | pretty assembler fragment

Generate a section type (e.g. `@progbits`). See #13937.